summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWade Cline <wadecline@hotmail.com>2019-11-12 21:18:03 -0800
committerJoonas Niilola <juippis@gentoo.org>2019-11-14 08:25:52 +0200
commitdb84fc67caf099eb61dfcbe36d728075e462e482 (patch)
treeb96637b87a096886f36da61c1353530856452504
parentmedia-gfx/gscan2pdf: remove old 2.6.0 (diff)
downloadgentoo-db84fc67caf099eb61dfcbe36d728075e462e482.tar.gz
gentoo-db84fc67caf099eb61dfcbe36d728075e462e482.tar.bz2
gentoo-db84fc67caf099eb61dfcbe36d728075e462e482.zip
net-irc/inspircd: Add 3.4.0
Signed-off-by: Wade Cline <wadecline@hotmail.com> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--net-irc/inspircd/Manifest1
-rw-r--r--net-irc/inspircd/files/inspircd-3.4.0-fix-path-builds.patch271
-rw-r--r--net-irc/inspircd/inspircd-3.4.0.ebuild123
3 files changed, 395 insertions, 0 deletions
diff --git a/net-irc/inspircd/Manifest b/net-irc/inspircd/Manifest
index f198f3983b6c..4236d426c246 100644
--- a/net-irc/inspircd/Manifest
+++ b/net-irc/inspircd/Manifest
@@ -2,3 +2,4 @@ DIST inspircd-2.0.25.tar.gz 734017 BLAKE2B d67af67a68d55e107c4492561fcc181ca17fd
DIST inspircd-2.0.28.tar.gz 735981 BLAKE2B d467b4d31db4cbafeba655a4e129766ec780b2244f1945da6e25e9d70a8c7f946ea6258cc4e1189029a9f3be4d93b3d943f0bd20ccb85951f001268c2e460805 SHA512 0e8082a03e65f350ac423cc0781506c0eb40151d6e8d250067288b2a1d42087f10c159472ad76028aa986f6764180fdc493893984cadc0064715853472fa3e2a
DIST inspircd-3.2.0.tar.gz 799842 BLAKE2B 87f8465479f01587b669c926c9097e14e441d40d6f37be2971863b40c2cef3d962acaf2cc84879d1d813819bcb512adfc58723b6adac5dfc35b240d4068b40f6 SHA512 8792614785d7f0415a38d49cc1786204d838917df54792ee6755b9ad8fd895020539364fdfc6daae60a911b8f39af1326e172ac40335b700241ca832410a4498
DIST inspircd-3.3.0.tar.gz 803449 BLAKE2B 2b396db9d4bc84af33367715acb7f82299211ab31975310de0da4e3fe74385085b801c3bce6fe835b0f9e9857b1b457e037eb72e91d4455dc5918ad8d5bc844d SHA512 067904d877803c370873b5e79860fe0ac68529e740283e7e78dcd4dbbea30e19841a1f2e7e57e3e0b701704224369dbd484562e7edbbcd775bf85c18a4d340c3
+DIST inspircd-3.4.0.tar.gz 809845 BLAKE2B 6529d53c3cbff07727eceea5e1eb321bb8b7f6b231b3d5ea3ed0ced01fe5b66c2da83039a1ac11ff49e6536ef482483a9be26762feb30511a0016bab07d6790a SHA512 871fefff5e337dc6228fae223ff7ac534e159b5bfb838419247b1d16339c860b0b939a28dd4610cf3b8c37328b5e6ccba2ddd80adbd27638f4f3fa28e4f99066
diff --git a/net-irc/inspircd/files/inspircd-3.4.0-fix-path-builds.patch b/net-irc/inspircd/files/inspircd-3.4.0-fix-path-builds.patch
new file mode 100644
index 000000000000..9b1e01b5be89
--- /dev/null
+++ b/net-irc/inspircd/files/inspircd-3.4.0-fix-path-builds.patch
@@ -0,0 +1,271 @@
+diff --git a/docs/conf/filter.conf.example b/docs/conf/filter.conf
+similarity index 100%
+rename from docs/conf/filter.conf.example
+rename to docs/conf/filter.conf
+diff --git a/docs/conf/helpop.conf.example b/docs/conf/helpop.conf
+similarity index 100%
+rename from docs/conf/helpop.conf.example
+rename to docs/conf/helpop.conf
+diff --git a/docs/conf/inspircd.conf.example b/docs/conf/inspircd.conf
+similarity index 99%
+rename from docs/conf/inspircd.conf.example
+rename to docs/conf/inspircd.conf
+index dbd56d2fe..4a7aab514 100644
+--- a/docs/conf/inspircd.conf.example
++++ b/docs/conf/inspircd.conf
+@@ -494,11 +494,11 @@
+
+ # This file has all the information about oper classes, types and o:lines.
+ # You *MUST* edit it.
+-#<include file="examples/opers.conf.example">
++#<include file="/etc/inspircd/opers.conf">
+
+ # This file has all the information about server links and ulined servers.
+ # You *MUST* edit it if you intend to link servers.
+-#<include file="examples/links.conf.example">
++#<include file="/etc/inspircd/links.conf">
+
+ #-#-#-#-#-#-#-#-#-#- MISCELLANEOUS CONFIGURATION -#-#-#-#-#-#-#-#-#-#
+ # #
+@@ -507,7 +507,7 @@
+ #
+ # motd - displayed on connect and when a user executes /MOTD
+ # Modules can also define their own files
+-<files motd="examples/motd.txt.example">
++<files motd="/etc/inspircd/motd.txt">
+
+ # Example of an executable file include. Note this will be read on rehash,
+ # not when the command is run.
+@@ -543,7 +543,7 @@
+ # the default of 'inspircd.pid' is used. #
+ # #
+
+-#<pid file="/path/to/inspircd.pid">
++#<pid file="/var/run/inspircd/inspircd.pid">
+
+ #-#-#-#-#-#-#-#-#-#-#-#-#- LIST MODE LIMITS #-#-#-#-#-#-#-#-#-#-#-#-#-#
+ # #
+@@ -1041,7 +1041,7 @@
+ # provide almost all the features of InspIRCd. :) #
+ # #
+ # The default does nothing -- we include it for simplicity for you. #
+-#<include file="examples/modules.conf.example">
++#<include file="/etc/inspircd/modules.conf">
+
+ #-#-#-#-#-#-#-#-#-#-#-# SERVICES CONFIGURATION #-#-#-#-#-#-#-#-#-#-#-#
+ # #
+@@ -1050,13 +1050,13 @@
+ # exemptions for services pseudoclients: #
+ #
+ # Anope users should uncomment this:
+-#<include file="examples/services/anope.conf.example">
++#<include file="/etc/inspircd/aliases/anope.conf">
+ #
+ # Atheme users should uncomment this:
+-#<include file="examples/services/atheme.conf.example">
++#<include file="/etc/inspircd/aliases/atheme.conf">
+ #
+ # Users of other services should uncomment this:
+-#<include file="examples/services/generic.conf.example">
++#<include file="/etc/inspircd/aliases/generic.conf">
+
+ #########################################################################
+ # #
+diff --git a/docs/conf/links.conf.example b/docs/conf/links.conf
+similarity index 100%
+rename from docs/conf/links.conf.example
+rename to docs/conf/links.conf
+diff --git a/docs/conf/modules.conf.example b/docs/conf/modules.conf
+similarity index 99%
+rename from docs/conf/modules.conf.example
+rename to docs/conf/modules.conf
+index 639f02335..ea51e9b67 100644
+--- a/docs/conf/modules.conf.example
++++ b/docs/conf/modules.conf
+@@ -838,7 +838,7 @@
+ # anticaps, auditorium-see, auditorium-vis, blockcaps, blockcolor, #
+ # censor, filter, flood, nickflood, noctcp, nonick, nonotice, #
+ # regmoderated, stripcolor, and topiclock. #
+-# See <options:exemptchanops> in inspircd.conf.example for a more #
++# See <options:exemptchanops> in inspircd.conf for a more #
+ # detailed list of the restriction modes that can be exempted. #
+ # These are settable using: /MODE #chan +X <restriction>:<status> #
+ #<module name="exemptchanops">
+@@ -874,7 +874,7 @@
+ # Your choice of regex engine must match on all servers network-wide. #
+ # #
+ # To learn more about the configuration of this module, read #
+-# examples/filter.conf.example, which covers the various types of #
++# filter.conf, which covers the various types of #
+ # filters and shows how to add exemptions. #
+ # #
+ #-#-#-#-#-#-#-#-#-#-#- FILTER CONFIGURATION -#-#-#-#-#-#-#-#-#-#-#-#
+@@ -883,7 +883,7 @@
+ # specify below the path to the filter.conf file, or define some #
+ # <keyword> tags. #
+ # #
+-#<include file="examples/filter.conf.example">
++#<include file="/etc/inspircd/filter.conf">
+
+ #-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#
+ # Flash Policy Daemon module: Allows Flash IRC clients (e.g. LightIRC)#
+@@ -973,7 +973,7 @@
+ # If you specify to use the helpop module, then specify below the #
+ # path to the helpop.conf file. #
+ # #
+-#<include file="examples/helpop.conf.example">
++#<include file="/etc/inspircd/helpop.conf">
+
+ #-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#
+ # Hide chans module: Allows users to hide their channels list from non-
+@@ -1551,7 +1551,7 @@
+ # onoper - If on, the message is sent on /OPER, otherwise it's #
+ # only sent when /OPERMOTD is used. #
+ # #
+-#<opermotd file="examples/opermotd.txt.example" onoper="yes">
++#<opermotd file="/etc/inspircd/opermotd.txt" onoper="yes">
+
+ #-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#
+ # Override module: Adds support for oper override.
+@@ -2129,7 +2129,7 @@
+ # connections in order to oper up. It is highly recommended to load
+ # this module if you use SSL on your network.
+ # For how to use the oper features, please see the first
+-# example <oper> tag in opers.conf.example.
++# example <oper> tag in opers.conf.
+ #
+ #<module name="sslinfo">
+ #
+diff --git a/docs/conf/motd.txt.example b/docs/conf/motd.txt
+similarity index 97%
+rename from docs/conf/motd.txt.example
+rename to docs/conf/motd.txt
+index c5266f844..34d85d965 100644
+--- a/docs/conf/motd.txt.example
++++ b/docs/conf/motd.txt
+@@ -24,7 +24,7 @@
+ `-.__ `----""" __.-'
+ `--..____..--'
+
+- ---- To change, see motd.txt.example -----
++ ---- To change, see motd.txt -----
+ / \
+ / * Web: https://www.inspircd.org \
+ | * IRC: irc.inspircd.org #inspircd |
+diff --git a/docs/conf/opermotd.txt.example b/docs/conf/opermotd.txt
+similarity index 97%
+rename from docs/conf/opermotd.txt.example
+rename to docs/conf/opermotd.txt
+index 7e1c82f33..73ad28621 100644
+--- a/docs/conf/opermotd.txt.example
++++ b/docs/conf/opermotd.txt
+@@ -24,7 +24,7 @@
+ `-.__ `----""" __.-'
+ `--..____..--'
+
+- -- To change, see opermotd.txt.example ---
++ -- To change, see opermotd.txt ---
+ / \
+ / * Web: https://www.inspircd.org \
+ | * IRC: irc.inspircd.org #inspircd |
+diff --git a/docs/conf/opers.conf.example b/docs/conf/opers.conf
+similarity index 99%
+rename from docs/conf/opers.conf.example
+rename to docs/conf/opers.conf
+index 7cad2589c..082009da9 100644
+--- a/docs/conf/opers.conf.example
++++ b/docs/conf/opers.conf
+@@ -178,4 +178,4 @@
+
+ # Once you have edited this file you can remove this line. This is just to
+ # ensure that you don't hastily include the file without reading it.
+-<die reason="Using opers.conf.example without editing it is a security risk">
++<die reason="Using opers.conf without editing it is a security risk">
+diff --git a/docs/conf/providers/irccloud.conf.example b/docs/conf/providers/irccloud.conf
+similarity index 100%
+rename from docs/conf/providers/irccloud.conf.example
+rename to docs/conf/providers/irccloud.conf
+diff --git a/docs/conf/providers/kiwiirc-com.conf.example b/docs/conf/providers/kiwiirc-com.conf
+similarity index 100%
+rename from docs/conf/providers/kiwiirc-com.conf.example
+rename to docs/conf/providers/kiwiirc-com.conf
+diff --git a/docs/conf/quotes.txt.example b/docs/conf/quotes.txt
+similarity index 100%
+rename from docs/conf/quotes.txt.example
+rename to docs/conf/quotes.txt
+diff --git a/docs/conf/services/anope.conf.example b/docs/conf/services/anope.conf
+similarity index 86%
+rename from docs/conf/services/anope.conf.example
+rename to docs/conf/services/anope.conf
+index 5c8f859ff..b1179eb8c 100644
+--- a/docs/conf/services/anope.conf.example
++++ b/docs/conf/services/anope.conf
+@@ -2,7 +2,7 @@
+ # by Anope. See https://www.anope.org for more information on Anope.
+
+ # This file inherits from the generic config to avoid repetition.
+-<include file="examples/services/generic.conf.example">
++<include file="examples/services/generic.conf">
+
+ # /GLOBAL <message>
+ # Sends a global notice.
+diff --git a/docs/conf/services/atheme.conf.example b/docs/conf/services/atheme.conf
+similarity index 98%
+rename from docs/conf/services/atheme.conf.example
+rename to docs/conf/services/atheme.conf
+index d509522b8..7605251db 100644
+--- a/docs/conf/services/atheme.conf.example
++++ b/docs/conf/services/atheme.conf
+@@ -3,7 +3,7 @@
+ # information on Atheme.
+
+ # This file inherits from the generic config to avoid repetition.
+-<include file="examples/services/generic.conf.example">
++<include file="examples/services/generic.conf">
+
+ # Long hand aliases for services pseudoclients.
+ <alias text="ALIS" replace="SQUERY $requirement :$2-" requires="ALIS" uline="yes">
+diff --git a/docs/conf/services/generic.conf.example b/docs/conf/services/generic.conf
+similarity index 100%
+rename from docs/conf/services/generic.conf.example
+rename to docs/conf/services/generic.conf
+diff --git a/make/template/main.mk b/make/template/main.mk
+index 1e6ba5cd0..3751937eb 100644
+--- a/make/template/main.mk
++++ b/make/template/main.mk
+@@ -210,9 +210,9 @@ install: target
+ @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(BINPATH)
+ @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(CONPATH)
+ @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(DATPATH)
+- @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(EXAPATH)/providers
+- @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(EXAPATH)/services
+- @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(EXAPATH)/sql
++ @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(CONPATH)/providers
++ @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(CONPATH)/services
++ @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(CONPATH)/sql
+ @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(LOGPATH)
+ @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(MANPATH)
+ @-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(MODPATH)
+@@ -229,10 +229,10 @@ endif
+ -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) @CONFIGURE_DIRECTORY@/inspircd.1 $(MANPATH) 2>/dev/null
+ -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) @CONFIGURE_DIRECTORY@/inspircd-genssl.1 $(MANPATH) 2>/dev/null
+ -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_BIN) tools/genssl $(BINPATH)/inspircd-genssl 2>/dev/null
+- -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/*.example $(EXAPATH)
+- -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/providers/*.example $(EXAPATH)/providers
+- -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/services/*.example $(EXAPATH)/services
+- -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/sql/*.sql $(EXAPATH)/sql
++ -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/*.{conf,txt} $(CONPATH)
++ -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/providers/* $(CONPATH)/providers
++ -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/services/* $(CONPATH)/services
++ -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/sql/*.sql $(CONPATH)/sql
+ -$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_PRV) *.pem $(CONPATH) 2>/dev/null
+ @echo ""
+ @echo "*************************************"
+@@ -246,7 +246,6 @@ endif
+ @echo ' Data:' $(DATPATH)
+ @echo 'To start the ircd, run:' $(SCRPATH)/inspircd start
+ @echo 'Remember to create your config file:' $(CONPATH)/inspircd.conf
+- @echo 'Examples are available at:' $(EXAPATH)
+
+ GNUmakefile: make/template/main.mk src/version.sh configure @CONFIGURE_CACHE_FILE@
+ ./configure --update
diff --git a/net-irc/inspircd/inspircd-3.4.0.ebuild b/net-irc/inspircd/inspircd-3.4.0.ebuild
new file mode 100644
index 000000000000..a33428383dbe
--- /dev/null
+++ b/net-irc/inspircd/inspircd-3.4.0.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit toolchain-funcs
+
+DESCRIPTION="Inspire IRCd - The Stable, High-Performance Modular IRCd"
+HOMEPAGE="https://inspircd.github.com/"
+SRC_URI="https://github.com/inspircd/inspircd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="debug gnutls ldap maxminddb mbedtls mysql pcre postgres re2 regex-posix regex-stdlib sqlite ssl sslrehashsignal tre"
+
+RDEPEND="
+ acct-group/inspircd
+ acct-user/inspircd
+ dev-lang/perl
+ gnutls? ( net-libs/gnutls:= dev-libs/libgcrypt:0 )
+ ldap? ( net-nds/openldap )
+ maxminddb? ( dev-libs/libmaxminddb )
+ mbedtls? ( net-libs/mbedtls:= )
+ mysql? ( dev-db/mysql-connector-c:= )
+ pcre? ( dev-libs/libpcre )
+ postgres? ( dev-db/postgresql:= )
+ re2? ( dev-libs/re2:= )
+ sqlite? ( >=dev-db/sqlite-3.0 )
+ ssl? ( dev-libs/openssl:= )
+ tre? ( dev-libs/tre )"
+DEPEND="${RDEPEND}"
+
+DOCS=( docs/. )
+PATCHES=( "${FILESDIR}"/${PN}-3.4.0-fix-path-builds.patch )
+
+src_prepare() {
+ default
+
+ # Patch the inspircd launcher with the inspircd user
+ sed -i -e "s/@UID@/${PN}/" "make/template/${PN}" || die
+}
+
+src_configure() {
+ local extras=""
+
+ use gnutls && extras+="m_ssl_gnutls.cpp,"
+ use ldap && extras+="m_ldap.cpp,"
+ use maxminddb && extras+="m_geo_maxmind.cpp,"
+ use mbedtls && extras+="m_ssl_mbedtls.cpp,"
+ use mysql && extras+="m_mysql.cpp,"
+ use pcre && extras+="m_regex_pcre.cpp,"
+ use postgres && extras+="m_pgsql.cpp,"
+ use re2 && extras+="m_regex_re2.cpp,"
+ use regex-posix && extras+="m_regex_posix.cpp,"
+ use regex-stdlib && extras+="m_regex_stdlib.cpp,"
+ use sqlite && extras+="m_sqlite3.cpp,"
+ use ssl && extras+="m_ssl_openssl.cpp,"
+ use sslrehashsignal && extras+="m_sslrehashsignal.cpp,"
+ use tre && extras+="m_regex_tre.cpp,"
+
+ # The first configuration run enables certain "extra" InspIRCd
+ # modules, the second run generates the actual makefile.
+ if [[ -n "${extras}" ]]; then
+ ./configure --disable-interactive --enable-extras=${extras%,}
+ fi
+
+ local myconf=(
+ --disable-interactive
+ --disable-auto-extras
+ --prefix="/usr/$(get_libdir)/${PN}"
+ --config-dir="/etc/${PN}"
+ --data-dir="/var/lib/${PN}/data"
+ --log-dir="/var/log/${PN}"
+ --binary-dir="/usr/bin"
+ --module-dir="/usr/$(get_libdir)/${PN}/modules"
+ --manual-dir="/usr/share/man")
+ CXX="$(tc-getCXX)" ./configure "${myconf[@]}"
+}
+
+src_compile() {
+ emake LDFLAGS="${LDFLAGS}" CXXFLAGS="${CXXFLAGS}" $(usex debug 'INSPIRCD_DEBUG=2' '') INSPIRCD_VERBOSE=1
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ insinto "/usr/include/${PN}"
+ doins -r include/.
+
+ einstalldocs
+
+ newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+ newconfd "${FILESDIR}/${PN}.confd" "${PN}"
+
+ keepdir "/var/log/${PN}"
+
+ diropts -o"${PN}" -g"${PN}" -m0700
+ keepdir "/var/lib/${PN}/data"
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ # This is a new installation
+ elog "You will find example configuration files under "
+ elog "/usr/share/doc/${PN}"
+ elog "Read the ${PN}.conf.example file carefully before "
+ elog "starting the service."
+ fi
+ local pv
+ for pv in ${REPLACING_VERSIONS}; do
+ if ver_test "${pv}" -lt "2.0.24-r1"; then
+ elog "Starting with 2.0.24-r1 the daemon is no longer started"
+ elog "with the --logfile option and you are thus expected to define"
+ elog "logging in the InspIRCd configuration file if you want it."
+ fi
+ if ver_test "${pv}" -lt "3.0.0"; then
+ elog "Version 3.0 is a major upgrade which contains breaking"
+ elog "changes. You will need to update your configuration files."
+ elog "See: https://docs.inspircd.org/3/configuration-changes"
+ fi
+ done
+}